import java.sql.Types;

import quadbase.ChartAPI.DbData;
import quadbase.util.IParameterizedDataSource;
import quadbase.util.IQueryInParam;
import quadbase.util.IResultSet;
import quadbase.util.SimpleQueryInParam;



public class ParameterizedClassFile implements IParameterizedDataSource {

	public IQueryInParam[] getParameters()
	{

		SimpleQueryInParam[] params = new SimpleQueryInParam[1];
		params[0] = new SimpleQueryInParam("param2", "Enter the price:", false, null, null, Types.INTEGER, new Integer(2), null);
		return params;

	}

	public IResultSet getResultSet(IQueryInParam[] params) {

		double price = 3.5;
		if ((params != null) && (params.length >= 1))
		{

			Object obj = params[0].getValue();
			if ((obj != null) && (obj instanceof Integer)) price = ((Integer)obj).intValue();

		}
		String dataType[] = {"string", "String", "double"};
		String fieldName[] = {"Destination",  "Time", "Price"};
		String records[][] = {{"Mayfair",  "13:43", price+""},
				{"Bond Street", "13:37", price+""},
				{"Rickmansworth ", "13:12", price+""},
				{"Picadilly",  "13:24", price+""}};

		return new DbData(dataType, fieldName, records);

	}

}